.email-modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7); /* Dark grey with transparency */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000; /* Ensure it appears above other content */
}

.email-modal {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    width: 35rem;
    z-index: 1001; /* Ensure it appears above the overlay */
}

.hidden {
    display: none;
}

#emailModalContainer {
    position: fixed;
    top: 10rem;
    bottom: 10rem;
    left: 25rem;
    right: 25rem;
    z-index: 10001;
    border-radius: 10px;
    padding: 15px;
    overflow-y: auto;
}

.hidden {
    display: none;
}

.email-modal-button {
    position: relative;
    display: inline-block;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    background-color: red;
    color: #fff;
    border: none;
}

.email-modal-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.subject-options ul {
    list-style-type: none;
    padding: 0;
}

.subject-options ul li {
    margin-bottom: 10px;
}

.subject-options ul li button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}

.subject-options ul li button:hover {
    background-color: #0056b3;
}
